<?php
/**
 * Aliases for special pages for extension TimedMediaHandler
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'TranscodeStatistics' => [ 'Transcode statistics', 'Transcode Statistics', 'TimedMediaHandler' ],
	'OrphanedTimedText' => [ 'OrphanedTimedText' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'TranscodeStatistics' => [ 'معالج_الميديا_الزمنية' ],
	'OrphanedTimedText' => [ 'نص_زمني_يتيم' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'TranscodeStatistics' => [ 'معالج_الميديا-الزمنيه' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'TranscodeStatistics' => [ 'TimedMedia-Steuerungsprogramm' ],
	'OrphanedTimedText' => [ 'Verwaister_TimedText' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'TranscodeStatistics' => [ 'MısnayoğéMedyayaZemanın' ],
];

/** Estonian (eesti) */
$specialPageAliases['et'] = [
	'TranscodeStatistics' => [ 'Ajastatud_meediafailide_töötleja' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'TranscodeStatistics' => [ 'מדיה_מתוזמנת' ],
	'OrphanedTimedText' => [ 'טקסט_מתוזמן_יתום' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'TranscodeStatistics' => [ '자막미디어핸들러' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'TranscodeStatistics' => [ 'СинхронизираниСнимки' ],
	'OrphanedTimedText' => [ 'ОсамениСинхронизации' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'TranscodeStatistics' => [ 'സമയാധിഷ്ഠിതമീഡിയകൈകാര്യോപകരണം' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'TranscodeStatistics' => [ 'وقتی_میڈیا_ہدایت_کار' ],
	'OrphanedTimedText' => [ 'یتیم_وقتی_متن' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'TranscodeStatistics' => [ 'Bộ_xử_lý_phương_tiện_đồng_bộ', 'Bộ_xử_lí_phương_tiện_đồng_bộ' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'TranscodeStatistics' => [ '定时媒体处理器' ],
	'OrphanedTimedText' => [ '孤立定时文本' ],
];
